{% if is_granted('ROLE_CONTACT')  and not is_granted("ROLE_SUPER_ADMIN") %}
    <a href="#" actionUrl="{{ path('idea_add') }}"
       class="modal-form btn btn-primary pull-right"><i class="fa fa-plus"></i>&nbsp;&nbsp;Ajouter une idée
    </a>
{% endif %}
<h1 class="pinkColor">
    <i class="fa fa-lightbulb-o fa-rotate-15"></i> Liste des idées
</h1>

<div class="row">
    <div class="col-sm-12">
        <table class="table table-hover main-table">
            <thead>
            <tr>
                <th>Date</th>
                <th>Idée</th>
                <th>Description</th>
                <th></th>
            </tr>
            </thead>
            <tbody>
            {% for idea in ideas %}
                <tr class="clicable">
                    <td>
                        {{ idea.createdAt|date('d/m/Y') }}
                    </td>
                    <td>
                        {{ idea.title }}
                    </td>
                    <td>
                        {% set description = idea.description|striptags|slice(0,300) %}
                        <div class="description">
                            {{ description|raw|nl2br }} {% if description | length > 299 %}...{% endif %}
                        </div>
                    </td>
                    <td class="text-right">
                        <a href="{{ path('idea_view', {id: idea.id}) }}" class="btn btn-primary btn-sm default"><i class="fa fa-search"></i></a>
                        {%  if is_granted('EDIT_USER_SELF', idea.createdBy) %}
                            <a href="#" actionUrl="{{ path('idea_edit', { 'id': idea.id }) }}"
                               class="modal-form btn btn-primary btn-sm "><i class="fa fa-edit"></i>
                            </a>
                        {%  endif %}
                    </td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>
</div>

{% if ideas is defined and ideas.nbResults is defined %}
    <div class="row text-center">
        <div class="pagerfanta">
            {{ pagerfanta(ideas, 'twitter_bootstrap3_translated') }}
        </div>
    </div>
{% endif %}
